@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

.gridInfo {
    display: flex;
    justify-content: space-between;
}

.gridButtons {
    align-content: end;
}

#assessmentGrid th {
    color: white;
    text-align: center;
    border-bottom-width: 0px !important;
}

#assessmentGrid td {
    text-align: center;
    border: solid 1px #2f2f2f;
    border-radius: 5px;
    background-color: white;
    padding: 2rem 2rem;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-wrap: nowrap;
}

#assessmentGrid td:hover {
    background-color: lightgray;
    cursor: pointer;
}

.cellSelected {
    background-color: rgb(92, 92, 92) !important;
    color: white;
    font-weight: bold;
}

.assessmentTable {
    border-collapse: unset;
    background-color: #2f2f2f;
    table-layout: fixed;
    caption-side: top;
    border-radius: 5px;
}

.fromContainer {
    border: none;
}

.dateWarning {
    display: none;
    color: red !important;
    font-size: 15px;
}

#EntityFormPanel {
    border: none !important;
}

.actions {
    border: none !important;
    display: flex;
    justify-content: center;
}

.backgroundStyle {
    display: flex;
    flex-wrap: wrap;
    margin: 0px;
    min-height: auto;
    padding: 8px;
    background-image: url(/enquiryformbackground.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.mainContainer {
    background-color: white;
    margin-top: 60px;
    margin-bottom: 60px;
    padding: 16px;
    min-height: 1080px;
}

.assessmentBlockLayout {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
    padding: 16px;
}

.assessmentButton {
    border-color: #323130;
    border-radius: 5px;
    font-family: Lato;
    font-weight: 400;
    font-size: 20px;
    padding: 6px 20px;
    width: fit-content;
    border-style: solid;
    background-color: transparent;
    color: #323130;
    margin: 0px 5px !important;
}

.dropdown-toggle:hover,
.assessmentButton:hover {
    background-color: lightgray !important;
    cursor: pointer;
    color: var(--bs-btn-hover-color);
    background-color: var(--bs-btn-hover-bg);
    border-color: var(--bs-btn-hover-border-color);
}

.dropdown-toggle:active,
.assessmentButton:active {
    background-color: rgb(92, 92, 92) !important;
    color: white !important;
    font-weight: bold;
}

.dropdown-toggle:focus,
.assessmentButton:focus {
    background-color: lightgray;
    color: black
}

.searchButton {
    display: flex;
    justify-content: center;
}

.crmEntityFormView .actions {
    padding: 0px !important;
    margin: 0px !important;
}

.buttonDisabled {
    border: none;
}

#filterContainer {
    display: flex;
    flex-direction: column;
}

.dropdownContainer {
    padding: 0px 12px;
}

#campusDropdown {
    border: 1px solid #949494;
}

.crmEntityFormView .cell div.table-info.required label::after {
    content: none !important;
}

/*Table Pagination*/
.page-item a {
    color: white;
    background-color: #323130 !important;
    border-color: #323130 !important;
    border-radius: 50%;
}

.page-item.active a {
    color: white;
    background-color: black !important;
    border-color: black !important;
}

.page-link.entity-pager-next-link,
.page-item.disabled a {
    border-color: transparent !important;
    background-color: transparent !important;
    color: black;
}

.page-link.entity-pager-prev-link {
    border-color: transparent !important;
    background-color: transparent !important;
    color: black;
}

.page-link:active,
.page-link:focus,
.page-item.active a:focus {
    color: white !important;
    background-color: black !important;
    box-shadow: 0 0 0 0.25rem white !important;
}

.page-link:hover,
.page-item.active a:hover {
    color: black !important;
    background-color: white !important;
    border: 1px solid black !important;
}

/*Pagination end*/

.dropdown-item {
    font-size: 20px;
}


/*Reactive design*/
@media screen and (max-width: 992px) {
    .assessmentButton {
        font-size: 18px;
    }

    .gridTitle {
        font-size: 25px;
    }

    #assessmentGrid th {
        font-size: 12px;
    }

    #assessmentGrid td {
        font-size: 12px;
        padding: 1rem 1rem;
    }
}

@media screen and (max-width: 767px) {
    .assessmentButton {
        font-size: 15px;
        padding: 3px 10px;
        margin: 0px 0px !important;
    }

    .dropdownContainer {
        padding: 0 0px 12px;
    }

    #filterContainer {
        padding: 0;
    }

    .pageTitle {
        font-size: 35px;
    }

    .pageSubTitle {
        font-size: 18px;
    }

    .gridTitle {
        font-size: 20px;
    }

    .assessmentBlockLayout {
        padding: 0;
    }

}

@media screen and (max-width: 546px) {
    .gridButtons {
        text-align: right;
    }

    .gridInfo {
        flex-direction: column;
    }
}

@media screen and (max-width: 463px) {
    #assessmentGrid td {
        padding: 12px;
    }
}

@media screen and (max-width: 400px) {
    #assessmentGrid td {
        text-wrap: wrap;
    }

    #assessmentGrid th {
        padding: 0;
    }
}